package intrinsic.mx.rpc.soap.types;

public interface ICustomSOAPType {

	/** Accessors */

	/** Variables */

	/** Constants */

	/** Class Accessors */

	/** Class variables */

/** Contructors */

/** Static Methods */

/** Methods */
public void decode(intrinsic.mx.rpc.soap.SOAPDecoder arg0, Object arg1, Object arg2, Object arg3);
public void decode(intrinsic.mx.rpc.soap.SOAPDecoder arg0, Object arg1, Object arg2, Object arg3, intrinsic.XML arg4);
public void encode(intrinsic.mx.rpc.soap.SOAPEncoder arg0, Object arg1, Object arg2, Object arg3);
public void encode(intrinsic.mx.rpc.soap.SOAPEncoder arg0, Object arg1, Object arg2, Object arg3, intrinsic.XML arg4);

}
